<template>
  <div class="relative h-full rounded-md border border-gray-900/10 bg-white">
    <transition :duration="100">
      <template v-if="isLoading">
        <ProgressBar class="absolute rounded-t-md" />
      </template>
    </transition>
    <div class="flex flex-col items-center">
      <div class="w-full px-4 pt-3 text-base font-medium text-gray-900">
        {{ $t(title) }}
      </div>
      <slot />
    </div>
  </div>
</template>

<script lang="ts" setup>
import ProgressBar from "@/js/contexts/shared/ui/components/loading/ProgressBar.vue";

defineProps<{
  isLoading: boolean;
  title: string;
}>();
</script>
